> For the complete documentation index, see [llms.txt](https://docs.geopard.tech/geopard-tutorials/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.geopard.tech/geopard-tutorials/in/api/geopard-api-3/notes-pins/36.-notes-comments.md).

# 36. म्यूटेशन: चुने गए "Notes" में कई "Comments" जोड़ें

यह म्यूटेशन आपको चुने गए नोट में कई टिप्पणियाँ जोड़ने की अनुमति देता है।

{% hint style="success" %}
सहेजने के लिए टिप्पणियों की अधिकतम संख्या 25 है।
{% endhint %}

* एक टिप्पणी को उसके अद्वितीय पहचानकर्ता के माध्यम से फ़ील्ड से जोड़ा जा सकता है `fieldUuid` और नोट से द्वारा `noteUuid`.
* टिप्पणी की सामग्री को attribute का उपयोग करके प्रदान किया जा सकता है। `पाठ` यदि सामग्री बहु-पंक्ति होनी चाहिए, तो `पाठ` attribute में नई लाइन वर्णों के साथ एक स्ट्रिंग होनी चाहिए `\\n` पंक्तियों को अलग करने के लिए। उदाहरण के लिए: `"पहली पंक्ति यहाँ है\\nदूसरी पंक्ति यहाँ है\\nतीसरी पंक्ति यहाँ है."`.
* टिप्पणी से संबंधित एक परिभाषित दिनांक-समय सेट करना attribute का उपयोग करके संभव है, ISO8601 प्रारूप में। `निर्माण_तिथि` attribute ISO8601 प्रारूप में।

नमुना अनुरोध नीचे पाया जा सकता है:

{% code overflow="wrap" lineNumbers="true" %}

```graphql
mutation BatchAddNoteComments {
  addNoteComments(input:{
    comments: [
      {
        noteUuid: "53547188-f37c-4d65-9733-f7de4be28e5b",
        fieldUuid: "d31240db-98e6-4cb0-b0a8-97ffe00f5e0d",
        text: "The 4th comment from multiple.",
        createdDate: "2020-08-25T06:06:06.000Z"
      }, 
      {
        noteUuid: "53547188-f37c-4d65-9733-f7de4be28e5b",
        fieldUuid: "d31240db-98e6-4cb0-b0a8-97ffe00f5e0d",
        text: "The 5th comment from multiple.\nThe second line of the comment.",
        createdDate: "2020-08-25T06:06:07.000Z"
      }
    ]
  }) {
    uuid
    fieldUuid
    noteUuid
    निर्माण_तिथि
    updatedDate
    पाठ
  }
}
```

{% endcode %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.geopard.tech/geopard-tutorials/in/api/geopard-api-3/notes-pins/36.-notes-comments.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
